FloatingRateCouponPricer Class Referenceabstract

generic pricer for floating-rate coupons More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for FloatingRateCouponPricer:
[legend]

## Public Member Functions

required interface
virtual Real | swapletPrice () const =0
virtual Rate | swapletRate () const =0
virtual Real | capletPrice (Rate effectiveCap) const =0
virtual Rate | capletRate (Rate effectiveCap) const =0
virtual Real | floorletPrice (Rate effectiveFloor) const =0
virtual Rate | floorletRate (Rate effectiveFloor) const =0
virtual void | initialize (const FloatingRateCoupon &coupon)=0
Observer interface
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

generic pricer for floating-rate coupons

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.